libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

xr_call
xr_call_add_param
xr_call_dump
xr_call_dump_string
xr_call_error_set
xr_call_free
xr_call_free_buffer
xr_call_get_error_code
xr_call_get_error_message
xr_call_get_method
xr_call_get_method_full
xr_call_get_param
xr_call_get_retval
xr_call_get_servlet_name
xr_call_new
xr_call_serialize_request
xr_call_serialize_response
xr_call_set_error
xr_call_set_retval
xr_call_set_transport
xr_call_transport
xr_call_unserialize_request
xr_call_unserialize_response

gboolean xr_call_unserialize_response | ( | xr_call * | call,
|  | const char * | buf,
|  | int | len
| ) |  |

Unserialize XML-RPC response into call object.

Parameters

  call | Call obejct.
  buf | Pointer to the buffer with XML-RPC response.
  len | Length of the buffer.

Returns
  Returns TRUE on success and FALSE on failure. On failure xr_call_set_error is used to set reason of the failure.

Documentation for libxr, Mon Jan 6 2014 07:32:37.